﻿namespace Model
{
    public class Album 
    {
        public string Name
        {
            get => name;

            set
            {
                if (value != null && value.Length < 75)
                {
                    name = value;
                }
            }
        }

        private string name = "Unknown";

        public string Description
        {
            get => description;

            set
            {
                if (value != null && value.Length < 500)
                {
                    description = value;
                }
            }
        }

        private string description = "";

        public IEnumerable<Title> Titles
        {
            get
            {
                return titles;
            }
        }

        private readonly List<Title> titles = new List<Title>();

        public string ImageURL
        {
            get => imageURL;

            set
            {
                if (value == null || !value.Contains('.'))
                {
                    value = "none.png";
                    imageURL = value;
                }
                if (value.Contains(' '))
                {
                    imageURL = value.Replace(' ', '_');
                }
                else if (value.Contains('.'))
                {
                    imageURL = value;
                }
            }
        }

        private string imageURL = "unknown.png";

        public Artiste Artist { get; set; }

        public string Information
        {
            get => information;

            set
            {
                if (value != null && value.Length < 500)
                {
                    information = value;
                }
            }
        }

        private string information = "";

        public Album(string name, string file_Name, Artiste artist, string description, string information)
        {
            Name = name;
            ImageURL = file_Name;
            Artist = artist;
            Description = description;
            Information = information;
        }

        public void AddTitle(Title title)
        {
            titles.Add(title);
        }

        public void RemoveTitle(Title title)
        {
            titles.Remove(title);
        }

    }
}