﻿namespace Model;

public class Artiste
{
    public string Name
    {
        get => name;

        set
        {
            if (value != null && value.Length < 75)
            {
                name = value;
            }
        }
    }

    private string name = "Unknown";

    public IEnumerable<Album> Albums
    {
        get
        {
            return new List<Album>(albums);
        }
    }

    private readonly List<Album> albums = new List<Album>();

    public Artiste(string name)
    {
        Name = name;
    }

    public void AddAlbum(Album album)
    {
        albums.Add(album);
    }
}
