﻿namespace Model.Stub;

public class Manager
{
    public IDataManager DataManager { get; set; }

    public IEnumerable<Album> Albums
    {
        get
        {
            return albums;
        }
    }

    private readonly List<Album> albums = new List<Album>();

    public IEnumerable<Title> Titles
    {
        get
        {
            return titles;
        }
    }

    private readonly List<Title> titles = new List<Title>();

    public IEnumerable<Playlist> Playlists
    {
        get
        {
            return playlists;
        }
    }

    private readonly List<Playlist> playlists = new List<Playlist>();

    public Manager()
    {
        DataManager = new Stub();
    }

    public void AddAlbum(Album album)
    {
        albums.Add(album);
    }

    public void AddTitle(Title title)
    {
        titles.Add(title);
    }
    public void AddPlaylist(Playlist playlist)
    {
        playlists.Add(playlist);
    }

    public void RemoveAlbum(Album album)
    {
        albums.Remove(album);
    }

    public void RemoveTitle(Title title)
    {
        titles.Remove(title);
    }

    public void RemovePlaylist(Playlist playlist)
    {
        playlists.Remove(playlist);
    }

}
