﻿namespace Model;

public class Playlist
{
    public string Name
    {
        get => name;

        set
        {
            if (value != null && value.Length < 75)
            {
                name = value;
            }
        }
    }

    private string name = "unknown";

    public string Description
    {
        get => description;

        set
        {
            if (value != null && value.Length < 500)
            {
                description = value;
            }
        }
    }

    private string description = "";

    public IEnumerable<Title> Titles
    {
        get
        {
            return titles;
        }
    }

    private readonly List<Title> titles = new List<Title>();

    public string ImageURL
    {
        get => imageURL;

        set
        {
            if (value == null || !value.Contains('.'))
            {
                value = "none.png";
                imageURL = value;
            }
            if (value.Contains(' '))
            {
                imageURL = value.Replace(' ', '_');
            }
            else if (value.Contains('.'))
            {
                imageURL = value;
            }
        }
    }

    private string imageURL = "none.png";

    public Playlist(string nom, string description, string imageURL)
    {
        Name = nom;
        Description = description;
        ImageURL = imageURL;
    }

    public void AddTitle(Title morceau)
    {
        titles.Add(morceau);
    }

    public void RemoveTitle(Title morceau)
    {
        titles.Remove(morceau);
    }

}
