using Model;
using Model.Stub;
using Newtonsoft.Json.Linq;
using NuGet.Frameworks;
using System;

namespace TestUnitaires
{

    public class TU_Manager
    {
        [Theory]
        [InlineData(null)]
        [InlineData("Rference")]
        public void TU_Methods(string? test)
        {
            Playlist p = new Playlist(test, "PlaceHolder", "place.holder");
            Album album = new Album(test, "place.holder", new Artiste("test"), "PlaceHolder", "PlaceHolder");
            Title t = new Title(test, "test. mp3", "Banger");
            Manager m = new Manager();
            m.AddTitle(t);
            m.AddPlaylist(p);
            m.AddAlbum(album);
            Assert.Contains(t, m.Titles);
            Assert.Contains(album, m.Albums);
            Assert.Contains(p, m.Playlists);
            m.RemovePlaylist(p);
            m.RemoveAlbum(album);
            m.RemoveTitle(t);
            Assert.DoesNotContain(t, m.Titles);
            Assert.DoesNotContain(p, m.Playlists);
            Assert.DoesNotContain(album, m.Albums);
        }
    }
    
}